org.apache.cassandra.net

## Class MessageDeliveryTask

- java.lang.Object
- - org.apache.cassandra.net.MessageDeliveryTask

- All Implemented Interfaces:
    java.lang.Runnable

      public class MessageDeliveryTask
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageDeliveryTask(MessageIn message, int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageDeliveryTask

          public MessageDeliveryTask(MessageIn message,
                                     int id)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

Copyright © 2018 The Apache Software Foundation